Subject: bug#37700: 27.0.50; undo mouse-drag-and-drop-region ineffective

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2019 18:10:12 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Thu, 31 Oct 2019 17:04:41 +0100
> Cc: [email-masked], [email-masked],
>         [email-masked], [email-masked]
> 
> > Fine with me (I proposed something like this during the original
> > discussion), but please document this property in the ELisp manual.
> 
> Then I apologise for misunderstanding you!

No need to apologize; I was just explaining why I like this patch ;-)

> Attached patch amended with changes to the manual and NEWS.

Thanks.

> --- a/doc/lispref/text.texi
> +++ b/doc/lispref/text.texi
> @@ -1451,6 +1451,12 @@ Undo
>  This function does not bind @code{undo-in-progress}.
>  @end defun
>  
> +Some commands leave the region active after execution in such a way that
> +it interferes with selective undo of that command.  To make @code{undo}
> +ignore the active region when invoked immediately after such a command,
> +set the property @code{undo-inhibit-region} of the command's function
> +symbol to a non-nil value.

Please add here a cross-reference to the other place, where this
property is described.

> +** 'undo' can be made to ignore the active region for a command
> +by setting its 'undo-inhibit-region' symbol property to non-nil.

Instead of "its" I'd use "that command's", because "its" is a bit
ambiguous in this context.